Groovy 1.7.10

## org.codehaus.groovy.transform
[Java] Class ImmutableASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.ImmutableASTTransformation

All Implemented Interfaces:
  ASTTransformation, org.objectweb.asm.Opcodes

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    public class ImmutableASTTransformation
    extends Object

Handles generation of code for the

Immutable:
  annotation.

Authors:
  Paul King

Method Summary
`static Object` | `checkImmutable(String className, String fieldName, Object field)`
`static void` | `checkPropNames(Object instance, Map args)`
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### checkImmutable

    public static Object checkImmutable(String className, String fieldName, Object field)

### checkPropNames

    public static void checkPropNames(Object instance, Map args)

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Copyright © 2003-2010 The Codehaus. All rights reserved.